正在阅读:

OpenSSL曝严重安全漏洞 [附POC]

8,131

OpenSSL的协议中,刚刚曝光了一个“毁灭性”的安全漏洞,或暴露某些重量级服务的加密密钥(cryptographic keys)和私有通信(private communications)。如果你的服务器正在使用OpenSSL 1.0.1f,请务必立即升级到OpenSSL 1.0.1g。此外,1.0.1以前的版本不受此影响,但是1.0.2-beta仍需修复。

OpenSSL曝严重安全漏洞

Heartbleed.com已经披露了相关细节,指出该漏洞与OpenSSL传输层安全协议的“heartbeat”部分有关。该问题甚至比苹果最近的SSL bug还要危险(因为这敞开了被恶意中间人攻击的大门)。
该bug是由安全公司Codenomicon和谷歌安全工程师独立发现的,据了解国内大量网站存在该漏洞,网友更称该漏洞为今年史上最强大的漏洞,如下图:

OpenSSL曝严重安全漏洞

OpenSSL曝严重安全漏洞

您可以通过以下地址检测您的网站是否存在该漏洞,如下:

http://possible.lv/tools/hb/

或使用附件中脚本测试

下载地址

点我下载

修复建议:

升级OpenSSL 1.0.1g 版本

更多技术细节可以参考Heartbleed网站,Hacker News上的讨论也极具价值。

留下脚印,证明你来过。

*

*

流汗坏笑撇嘴大兵流泪发呆抠鼻吓到偷笑得意呲牙亲亲疑问调皮可爱白眼难过愤怒惊讶鼓掌